Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List document comments

GET/workspaces/{organizationId}/documents/{id}/comments
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Document comments

commentsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
issueIdstring | nullrequired
documentIdstring | nullrequired
authorIdstring | nullrequired
bodystringrequired
resolvedAtstring | nullrequired
resolvedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
404

Document not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/documents/string/comments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "comments": [
    {
      "id": "string",
      "organizationId": "string",
      "issueId": "string",
      "documentId": "string",
      "authorId": "string",
      "body": "string",
      "resolvedAt": "string",
      "resolvedById": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?